#!/usr/bin/make -f

# Use all hardening features
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# For testing, it's necessary to have a UTF-8 enabled locale available,
# otherwise, the tests regarding the translations are failing.
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p $(CURDIR)/debian/tmpdir/locale
	localedef -i de_DE -f UTF-8 $(CURDIR)/debian/tmpdir/locale/de_DE.UTF-8
	LOCPATH=$(CURDIR)/debian/tmpdir/locale LANG=de LC_ALL=de_DE.UTF-8 dh_auto_test
endif

# Remove the tmpdir for the locale, see above.
override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/tmpdir

%:
	dh $@ --with autoreconf,bash-completion
